Bug 138672 - Display detection regression on Radeon Mobile
Display detection regression on Radeon Mobile
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
http://freedesktop.org/bugzilla/show_...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-10 11:54 EST by Harold Campbell
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-01 05:44:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harold Campbell 2004-11-10 11:54:38 EST
Description of problem:

Xorg has a bug, 1559, which affects me with FC3. Since my laptop
switches between single and dual head every day I'd very much like to
see the resolution to this bug folded into an FC3 update when possible.

Right now I have dual head working again, using the MonitorLayout
option, but when I don't have the CRT plugged in the desktop is still
setup to span two displays. Using a window which is on a non-existant
display is quite difficult. :) This used to work properly with Xorg
6.7 in FC2.

Version-Release number of selected component (if applicable):
xorg-x11-6.8.1-12

How reproducible:
Every time
Comment 1 Mike A. Harris 2004-11-10 15:29:03 EST
Adding URL here for clarity:

http://freedesktop.org/bugzilla/show_bug.cgi?id=1559


The patch referenced in the above bug report is already included
in our xorg-x11 packages, as indicated in comment #30 in the
referenced bug report:


 ------- Additional Comment #30 From Mike A. Harris  2004-10-20 00:46
 [reply] -------

Ok, I've got Hui's patch from comment #29 now added to our
xorg-x11-6.8.1-11
as "xorg-x11-6.8.1-ati-radeon-mobility-display-detection-fix2.patch".
 Doing
test build.


What specific xorg-x11 rpm packages do you have installed?


Setting status to NEEDINFO.
Comment 2 Harold Campbell 2004-11-10 15:38:20 EST
Doh, I didn't read that comment closely enough.

I have the FC3 packages installed, so:

xorg-x11-Mesa-libGL-6.8.1-12
xorg-x11-deprecated-libs-6.8.1-12
xorg-x11-deprecated-libs-devel-6.8.1-12
xorg-x11-libs-6.8.1-12
xorg-x11-xauth-6.8.1-12
xorg-x11-Mesa-libGLU-6.8.1-12
xorg-x11-twm-6.8.1-12
fonts-xorg-75dpi-6.8.1-1
xorg-x11-Xnest-6.8.1-12
xorg-x11-xfs-6.8.1-12
fonts-xorg-100dpi-6.8.1-1
xorg-x11-tools-6.8.1-12
xorg-x11-libs-6.8.1-12
xorg-x11-Mesa-libGLU-6.8.1-12
xorg-x11-devel-6.8.1-12
xorg-x11-Mesa-libGL-6.8.1-12
xorg-x11-font-utils-6.8.1-12
fonts-xorg-base-6.8.1-1
xorg-x11-6.8.1-12
xorg-x11-doc-6.8.1-12


I guess what's going on is that comment #32 means the patch only get
me and my eMachines to the state it's at now instead of back to the
way things worked with xorg 6.7.

 ------- Additional Comment #32 From Christopher O'Neill  2004-10-31
09:24  [reply] -------

I can confirm the latest patch works on a RV350 (9600 Mobility) in an
eMachines
amd64 laptop - the MonitorLayout option is required however.
Comment 3 Harold Campbell 2005-01-14 17:18:20 EST
Using xorg-x11-6.8.1.902-1 from rawhide I still have this problem.
I've updated the freedesktop.org bug with particulars.
Comment 4 Mike A. Harris 2005-02-01 05:44:48 EST
For now, you'll have to use Monitorlayout if that works around
the issue.  We will be tracking the upstream bug report, so if
a bug fix becomes available, we will review it for consideration
in future Fedora Core updates.

Setting status to "UPSTREAM", and tracking X.Org bug:

    http://freedesktop.org/bugzilla/show_bug.cgi?id=1559

Note You need to log in before you can comment on or make changes to this bug.